/* Heat Grid */
.result-grid {
    margin: 0 auto 2px;
    max-width: 875px;
    width: 100%;
}

.result-grid .rider,
.result-grid .result {
    height: 42px;
    line-height: 42px;
    margin-top: 0;
}

.result-grid .rider {
    width: calc(100% - 624px);
}

.result-grid .draw,
.result-grid .bib_no {
    width: 30px;
}

.result-grid .bib_no {
    font-weight: bold;
}

.result-grid .name {
    width: calc(100% - 688px);
}

.result-grid .result,
.result-grid .res-pos,
.result-grid .res-pts {
    float: right;
}

.result-grid .result {
    width: 82px;
}

.result-grid .res-pos,
.result-grid .res-pts {
    width: 40px;
}

.result-grid .heats {
    margin-top: 0;
    width: 106px;
}

.result-grid .heat {
    width: 25px;
}

/* Custom Responding - Mid-Table */
@media only screen and (max-width: 887px) {
    .result-grid {
        max-width: 470px;
    }

    .result-grid .row_head.heats .lead,
    .result-grid .row_head.heat,
    .result-grid .no-ride {
        display: none;
    }

    .result-grid .rider,
    .result-grid .result {
        height: 20px;
        line-height: 20px;
    }

    .result-grid .rider {
        width: calc(100% - 219px);
    }

    .result-grid .name {
        width: calc(100% - 283px);
    }

    .result-grid .row_head.heats {
        width: 25px;
    }
}

/* Custom Responding - Narrow-Table */
@media only screen and (max-width: 477px) {
    .result-grid {
        box-sizing: border-box;
        margin: 0 2px 2px;
        max-width: initial;
        width: auto;
    }

    .result-grid .res-pts,
    .result-grid .bib_no {
        display: none;
    }

    .result-grid .draw {
        width: 20px;
    }

    .result-grid .result {
        width: 40px;
    }

    .result-grid .rider {
        width: calc(100% - 177px);
    }

    .result-grid .name {
        width: calc(100% - 199px);
    }
}

/* Heat List */
.result-list fieldset {
    height: 100%;
}

.heat dt,
.result-sprint .heat .gate,
.result-list .heat .gate {
    margin-left: 0;
}

.heat .winner {
    margin-left: 0;
    width: 87px;
}

.heat.num-4 .winner {
    height: 86px;
}
.heat.num-5 .winner {
    height: 108px;
}
.heat.num-6 .winner {
    height: 130px;
}

.heat .heat-name {
    margin-top: 0;
    width: 100%;
}

.heat .gate {
    width: 20px;
}

.heat .gate.num-2 {
    height: 42px;
    line-height: 42px;
}

.heat .bib_no,
.heat .result,
.heat .pts {
    width: 30px;
}

.heat .bib_no {
    font-weight: bold;
}

.heat .rider {
    width: calc(100% - 205px);
}

.heat-standings,
.heat-gates {
    margin: 0 auto 2px;
    width: 500px;
}

.heat-standings .pos {
    width: 20px;
}

.heat-standings .bib_no {
    font-weight: bold;
    width: 30px;
}

.heat-standings dt.rider {
    width: calc(100% - 232px);
}

.heat-standings dd.rider {
    width: calc(100% - 286px);
}

.heat-standings .stat {
    width: 35px;
}

.heat-standings .result {
    width: 45px;
}

.heat-gates dt.res-1 {
    margin-left: calc(8% + 2px);
}

.heat-gates .gate {
    width: 8%;
}

.heat-gates .res {
    width: calc(23% - 2px);
}

.heat-knockout dd.table-cell.mugshot {
    height: 91px;
    width: 85px;
}

.heat-knockout dd.table-cell.mugshot:first-of-type {
    margin-left: 0;
}

.heat-knockout dd.table-cell.mugshot img {
    margin: 0;
}

.heat-knockout .pos {
    width: 30px;
}

.heat-knockout .table-sep {
    margin-left: 2px;
}

.heat-knockout-sf:not(.draw-only) .pos,
.heat-knockout-lcq:not(.draw-only) .pos,
.heat-knockout-sf:not(.draw-only) .table-sep,
.heat-knockout-lcq:not(.draw-only) .table-sep {
    margin-left: 2px;
}

.heat-knockout-sf .rider {
    width: calc(100% - 260px);
}
.heat-knockout-sf .table-sep {
    width: calc(100% - 174px);
}
.heat-knockout-lcq .rider {
    width: calc(100% - 173px);
}
.heat-knockout-lcq .table-sep {
    width: calc(100% - 87px);
}
.heat-knockout-gf .rider {
    width: calc(100% - 86px);
}
.heat-knockout-gf .table-sep {
    width: 100%;
}

.heat-knockout-sf.draw-only .rider,
.heat-knockout-gf.draw-only .rider {
    width: calc(100% - 86px);
}

/* Responsive - Desktop */
@media only screen and (min-width: 1002px) {
    .result-info li {
        box-sizing: border-box;
        padding: 2px;
    }

    .heat-standings,
    .heat-gates {
        margin: 0;
        width: calc(100% - 8px);
    }
}

/* Responsive - Tablet Landscape / Desktop */
@media only screen and (min-width: 769px) {
    ul.heat-list-1 li {
        margin-left: 25%;
    }

    .heat-knockout-gf,
    li.podium {
        margin-left: 25%;
    }
}

/* Responsive - Tablet Landscape */
@media only screen and (min-width: 769px) and (max-width: 1001px) {
    .heat-knockout-sf .rider {
        width: calc(100% - 173px);
    }

    .heat-knockout-sf .table-sep {
        width: calc(100% - 87px);
    }
}

/* Responsive - Mobile */
@media only screen and (max-width: 480px) {
    /* Heat List */
    .heat-standings,
    .heat-gates {
        margin: 2px;
        width: initial;
    }

    .heat-standings dt.rider {
        width: calc(100% - 121px);
    }

    .heat-standings dd.rider {
        width: calc(100% - 175px);
    }

    .heat-knockout-sf .pos,
    .heat-knockout-sf .table-sep {
        margin-left: 0;
    }

    .heat-knockout-sf .rider {
        width: calc(100% - 86px);
    }

    .heat-knockout-sf .table-sep {
        width: 100%;
    }
}
